Subject: Re: bug#5139: 23.1.50; feature request: completion-buffer-sort-function

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 01 Oct 2019 16:58:28 +0200

"Roland Winkler" <[email-masked]> writes:

> When a *Completions* buffer is generated by minibuffer-completion-help
> it will sort the possible completions using string-lessp. It would be
> nice if the sorting order was not hard-coded but could be modified
> according to context. That's why I want to suggest to replace the
> call of string-lessp by something like
>
>  (funcall completion-buffer-sort-function)
>
> so that completion-buffer-sort-function can be bound by the caller
> to something else according to context.

I think what the various packages that do completion (ido, helm,
company, etc) do is replace the entire completion function, which seems
more flexible.  And making all those respect such a variable I thing
would be difficult.

So I'm closing this as a "wontfix".

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no